Bug 1316666 - [QE](6.2.z) osgi: use the same version of jaxb-impl as Fuse (2.2.11_1)
[QE](6.2.z) osgi: use the same version of jaxb-impl as Fuse (2.2.11_1)
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Fuse Integration (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: CR1
: 6.2.3
Assigned To: Petr Široký
Lukáš Petrovický
Petr Penicka
:
Depends On:
Blocks: 1327763 1327765
  Show dependency treegraph
 
Reported: 2016-03-10 12:27 EST by Petr Široký
Modified: 2016-05-10 04:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-4936 Major Resolved Two implementations of jaxb-impl on classpath cause problems 2016-05-17 00:45 EDT

  None (edit)
Description Petr Široký 2016-03-10 12:27:44 EST
Description of problem:
Drools OSGi integration currently uses jaxb-impl version 2.2.10_1. See https://github.com/droolsjbpm/droolsjbpm-integration/blob/6.3.x/drools-osgi/drools-karaf-features/pom.xml#L63.

We need to align to Fuse which is using 2.2.11_1 to avoid XML marshalling issues, like the following one:

Caused by: javax.xml.bind.PropertyException: property "com.sun.xml.bind.marshaller.CharacterEscapeHandler" must be an instance of type com.sun.xml.bind.marshaller.CharacterEscapeHandler, not org.kie.services.client.serialization.XmlCharacterHandler
        at com.sun.xml.bind.v2.runtime.MarshallerImpl.setProperty(MarshallerImpl.java:501)
        at org.kie.services.client.serialization.JaxbSerializationProvider.configureMarshaller(JaxbSerializationProvider.java:249)
        ... 181 more


Upgrade is already done on master and 6.4.x without any noticeable issue.


Version-Release number of selected component (if applicable):
BxMS 6.2.1
Comment 1 Petr Široký 2016-03-10 12:29:02 EST
Backport requested by Fuse QE (see the linked ENTESB-4936).
Comment 3 Petr Široký 2016-04-21 08:14:31 EDT
Back-ported into upstream 6.3.x branch (6.2.x product):

https://github.com/droolsjbpm/droolsjbpm-integration/commit/d67ba4ba131aca6df7
Comment 4 Jiri Petrlik 2016-05-10 04:23:21 EDT
Verified using BxMS 6.2.3.CR1. If feature 'drools-commons' is installed, Fuse contains only jaxb bundles in version 2.2.11_1. Here is the list of jaxb bundles obtained by command $ osgi:list -t 10 | grep 'jaxb':

[  69] [Active     ] [            ] [       ] [   20] Apache ServiceMix :: Bundles :: jaxb-impl (2.2.11.1)
[  70] [Active     ] [            ] [       ] [   20] Apache ServiceMix :: Bundles :: jaxb-xjc (2.2.11.1)

Note You need to log in before you can comment on or make changes to this bug.